All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Erode
Morphological Operations

Erosion computes the output pixel as the minimum pixel value of the pixels under the mask. More...

## Functions

NppStatus | nppiErode_8u_C1R_Ctx (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, const Npp8u *pMask, NppiSize oMaskSize, NppiPoint oAnchor, NppStreamContext nppStreamCtx)
| Single-channel 8-bit unsigned integer erosion. More...
NppStatus | nppiErode_8u_C1R (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, const Npp8u *pMask, NppiSize oMaskSize, NppiPoint oAnchor)
NppStatus | nppiErode_8u_C3R_Ctx (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, const Npp8u *pMask, NppiSize oMaskSize, NppiPoint oAnchor, NppStreamContext nppStreamCtx)
| Three-channel 8-bit unsigned integer erosion. More...
NppStatus | nppiErode_8u_C3R (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, const Npp8u *pMask, NppiSize oMaskSize, NppiPoint oAnchor)
NppStatus | nppiErode_8u_C4R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, const Npp8u *pMask, NppiSize oMaskSize, NppiPoint oAnchor, NppStreamContext nppStreamCtx)
| Four-channel 8-bit unsigned integer erosion. More...
NppStatus | nppiErode_8u_C4R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, const Npp8u *pMask, NppiSize oMaskSize, NppiPoint oAnchor)
NppStatus | nppiErode_8u_AC4R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, const Npp8u *pMask, NppiSize oMaskSize, NppiPoint oAnchor, NppStreamContext nppStreamCtx)
| Four-channel 8-bit unsigned integer erosion, ignoring alpha-channel. More...
NppStatus | nppiErode_8u_AC4R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, const Npp8u *pMask, NppiSize oMaskSize, NppiPoint oAnchor)
NppStatus | nppiErode_16u_C1R_Ctx (const Npp16u *pSrc, Npp32s nSrcStep, Npp16u *pDst, Npp32s nDstStep, NppiSize oSizeROI, const Npp8u *pMask, NppiSize oMaskSize, NppiPoint oAnchor, NppStreamContext nppStreamCtx)
| Single-channel 16-bit unsigned integer erosion. More...
NppStatus | nppiErode_16u_C1R (const Npp16u *pSrc, Npp32s nSrcStep, Npp16u *pDst, Npp32s nDstStep, NppiSize oSizeROI, const Npp8u *pMask, NppiSize oMaskSize, NppiPoint oAnchor)
NppStatus | nppiErode_16u_C3R_Ctx (const Npp16u *pSrc, Npp32s nSrcStep, Npp16u *pDst, Npp32s nDstStep, NppiSize oSizeROI, const Npp8u *pMask, NppiSize oMaskSize, NppiPoint oAnchor, NppStreamContext nppStreamCtx)
| Three-channel 16-bit unsigned integer erosion. More...
NppStatus | nppiErode_16u_C3R (const Npp16u *pSrc, Npp32s nSrcStep, Npp16u *pDst, Npp32s nDstStep, NppiSize oSizeROI, const Npp8u *pMask, NppiSize oMaskSize, NppiPoint oAnchor)
NppStatus | nppiErode_16u_C4R_Ctx (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, const Npp8u *pMask, NppiSize oMaskSize, NppiPoint oAnchor, NppStreamContext nppStreamCtx)
| Four-channel 16-bit unsigned integer erosion. More...
NppStatus | nppiErode_16u_C4R (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, const Npp8u *pMask, NppiSize oMaskSize, NppiPoint oAnchor)
NppStatus | nppiErode_16u_AC4R_Ctx (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, const Npp8u *pMask, NppiSize oMaskSize, NppiPoint oAnchor, NppStreamContext nppStreamCtx)
| Four-channel 16-bit unsigned integer erosion, ignoring alpha-channel. More...
NppStatus | nppiErode_16u_AC4R (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, const Npp8u *pMask, NppiSize oMaskSize, NppiPoint oAnchor)
NppStatus | nppiErode_32f_C1R_Ctx (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, const Npp8u *pMask, NppiSize oMaskSize, NppiPoint oAnchor, NppStreamContext nppStreamCtx)
| Single-channel 32-bit floating-point erosion. More...
NppStatus | nppiErode_32f_C1R (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, const Npp8u *pMask, NppiSize oMaskSize, NppiPoint oAnchor)
NppStatus | nppiErode_32f_C3R_Ctx (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, const Npp8u *pMask, NppiSize oMaskSize, NppiPoint oAnchor, NppStreamContext nppStreamCtx)
| Three-channel 32-bit floating-point erosion. More...
NppStatus | nppiErode_32f_C3R (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, const Npp8u *pMask, NppiSize oMaskSize, NppiPoint oAnchor)
NppStatus | nppiErode_32f_C4R_Ctx (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, const Npp8u *pMask, NppiSize oMaskSize, NppiPoint oAnchor, NppStreamContext nppStreamCtx)
| Four-channel 32-bit floating-point erosion. More...
NppStatus | nppiErode_32f_C4R (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, const Npp8u *pMask, NppiSize oMaskSize, NppiPoint oAnchor)
NppStatus | nppiErode_32f_AC4R_Ctx (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, const Npp8u *pMask, NppiSize oMaskSize, NppiPoint oAnchor, NppStreamContext nppStreamCtx)
| Four-channel 32-bit floating-point erosion, ignoring alpha-channel. More...
NppStatus | nppiErode_32f_AC4R (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, const Npp8u *pMask, NppiSize oMaskSize, NppiPoint oAnchor)

## Detailed Description

Erosion computes the output pixel as the minimum pixel value of the pixels under the mask.

Pixels who's corresponding mask values are zero do not participate in the maximum search.

It is the user's responsibility to avoid Sampling Beyond Image Boundaries.

### Common parameters for nppiErode functions include:

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  pMask | Pointer to the start address of the mask array
  oMaskSize | Width and Height mask array.
  oAnchor | X and Y offsets of the mask origin frame of reference w.r.t the source pixel.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

## Function Documentation

NppStatus nppiErode_16u_AC4R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u * | pMask,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor
| ) |  |

NppStatus nppiErode_16u_AC4R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u * | pMask,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 16-bit unsigned integer erosion, ignoring alpha-channel.

For common parameter descriptions, see Common parameters for nppiErode functions.

NppStatus nppiErode_16u_C1R | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u * | pMask,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor
| ) |  |

NppStatus nppiErode_16u_C1R_Ctx | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u * | pMask,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single-channel 16-bit unsigned integer erosion.

For common parameter descriptions, see Common parameters for nppiErode functions.

NppStatus nppiErode_16u_C3R | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u * | pMask,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor
| ) |  |

NppStatus nppiErode_16u_C3R_Ctx | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u * | pMask,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three-channel 16-bit unsigned integer erosion.

NppStatus nppiErode_16u_C4R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u * | pMask,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor
| ) |  |

NppStatus nppiErode_16u_C4R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u * | pMask,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 16-bit unsigned integer erosion.

For common parameter descriptions, see Common parameters for nppiErode functions.

NppStatus nppiErode_32f_AC4R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u * | pMask,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor
| ) |  |

NppStatus nppiErode_32f_AC4R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u * | pMask,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 32-bit floating-point erosion, ignoring alpha-channel.

For common parameter descriptions, see Common parameters for nppiErode functions.

NppStatus nppiErode_32f_C1R | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u * | pMask,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor
| ) |  |

NppStatus nppiErode_32f_C1R_Ctx | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u * | pMask,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single-channel 32-bit floating-point erosion.

For common parameter descriptions, see Common parameters for nppiErode functions.

NppStatus nppiErode_32f_C3R | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u * | pMask,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor
| ) |  |

NppStatus nppiErode_32f_C3R_Ctx | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u * | pMask,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three-channel 32-bit floating-point erosion.

For common parameter descriptions, see Common parameters for nppiErode functions.

NppStatus nppiErode_32f_C4R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u * | pMask,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor
| ) |  |

NppStatus nppiErode_32f_C4R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u * | pMask,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 32-bit floating-point erosion.

For common parameter descriptions, see Common parameters for nppiErode functions.

NppStatus nppiErode_8u_AC4R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u * | pMask,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor
| ) |  |

NppStatus nppiErode_8u_AC4R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u * | pMask,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 8-bit unsigned integer erosion, ignoring alpha-channel.

For common parameter descriptions, see Common parameters for nppiErode functions.

NppStatus nppiErode_8u_C1R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u * | pMask,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor
| ) |  |

NppStatus nppiErode_8u_C1R_Ctx | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u * | pMask,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single-channel 8-bit unsigned integer erosion.

For common parameter descriptions, see Common parameters for nppiErode functions.

NppStatus nppiErode_8u_C3R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u * | pMask,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor
| ) |  |

NppStatus nppiErode_8u_C3R_Ctx | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u * | pMask,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three-channel 8-bit unsigned integer erosion.

For common parameter descriptions, see Common parameters for nppiErode functions.

NppStatus nppiErode_8u_C4R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u * | pMask,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor
| ) |  |

NppStatus nppiErode_8u_C4R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u * | pMask,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 8-bit unsigned integer erosion.

For common parameter descriptions, see Common parameters for nppiErode functions.

Copyright © 2009-2019 NVIDIA Corporation